
import 'package:cpt_labour_sg/modules/job_template_add/job_template_add_page.dart';
import 'package:cpt_labour_sg/modules/job_template_list/job_template_list_page.dart';
import 'package:cpt_labour_sg/modules/job_title_list/job_title_list_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/job_applied/job_applied_page.dart';
import '../modules/job_list/job_list_page.dart';
import '../modules/job_list_edit/job_list_edit_page.dart';
import '../modules/labour_request/labour_request_page.dart';
import '../modules/labour_request_add/labour_request_add_page.dart';


class LabourSGPageRouter {

  static final routes = [

    // 工作标题列表
    GetPage(
      name: RouterPath.JOB_TITLE_LIST_SG,
      page: () => JobTitleListPage(),
    ),

    // 工作模板列表
    GetPage(
      name: RouterPath.JOB_TEMPLATE_LIST_SG,
      page: () => JobTemplateListPage(),
    ),

    // 添加模板
    GetPage(
      name: RouterPath.JOB_TEMPLATE_ADD_SG,
      page: () => JobTemplateAddPage(),
    ),

    // 用工请求
    GetPage(
      name: RouterPath.LABOUR_REQUEST_SG,
      page: () => LabourRequestPage(),
    ),

    // 用工请求添加
    GetPage(
      name: RouterPath.LABOUR_REQUEST_ADD_SG,
      page: () => LabourRequestAddPage(),
    ),

    // 新加坡工作列表
    GetPage(
      name: RouterPath.JOB_LIST_SG,
      page: () => JobListPage(),
    ),

    // 新加坡工作列表编辑
    GetPage(
      name: RouterPath.JOB_LIST_EDIT,
      page: () => JobListEditPage(),
    ),

    // 新加坡工作列表已申请列表
    GetPage(
      name: RouterPath.JOB_LIST_APPLIED_SG,
      page: () => JobAppliedPage(),
    ),

  ];
}
